#
# spec file for package yast2-sap-scp-prodlist
#
# Copyright (c) 2016 SUSE Linux GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           yast2-sap-scp-prodlist
Version:        1.0.4
Release:        1.49
ExclusiveArch:  x86_64 ppc64le

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        products.json

Requires:       yast2-sap-scp

BuildRequires:  yast2
BuildRequires:  yast2-devtools

Group:          System/YaST
License:        GPL-2.0
Summary:        SUSE Connect Program Product List
URL:            http://www.suse.com

%description
This package provides a list of partner products for the
SUSE Connect Program, a YaST2 module to install third-party
partner products for SUSE Enterprise Linux for SAP Applications.

%build

%install
mkdir -p %{buildroot}%{yast_vardir}/suse_connect_program/
install -m 644 %{S:0} %{buildroot}%{yast_vardir}/suse_connect_program/products.json

%files
%defattr(-,root,root)
%{yast_vardir}/suse_connect_program
%ghost %{yast_vardir}/suse_connect_program/products.json.bak

%changelog
* Wed Feb 21 2018 imanyugin@suse.com
- Version bump to 1.0.4;
- Update product list, removing products incompatible with SLE 15 (fix bsc#1078341)
- Restrict architecture to x86_64 and ppc64le
* Fri Jul 21 2017 imanyugin@suse.com
- Version bump to 1.0.3;
- Update product list, add Protera FlexBridge (fix bsc#1049873);
* Thu May 12 2016 imanyugin@suse.com
- First release, version 1.0.2. fate#320190, bsc#978846
